Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 72 lines (55 sloc) 2.294 kB
902aa53 @jschauma properly match exact vulnerability matches; add changelog
authored
1 Changelog:
2
75a4830 @jschauma Version 3.4.0 (2012-05-22)
authored
3 Version 3.4.0 (2012-05-22)
4 * include setup.py, shuffle files around a bit for this
5 * update and add a few make targets
6 * provide regularly updated vlists on netmeister.org; use those
7 * unroll loops in Makefile so this works with gmake
8 * default to rh5 and netbsd vlists
9 * use relative path to 'yvc' in yvc.php
10 * exit '2' if vulnerabilities were found
11
4349195 @jschauma update redhat-oval->yvc converter to handle input as a stream
authored
12 Version 3.3.0 (2011-12-07)
13 * update redhat-oval->yvc converter to handle input as a stream
14 * update sample Makefile to include RH6 lists
15
0b38185 @jschauma add support for an optional severity field in a vlist
authored
16 Version 3.2.0 (2011-04-20)
17 * add support for an optional 'severity' field in a vlist
18
902aa53 @jschauma properly match exact vulnerability matches; add changelog
authored
19 Version 3.1.3 (2011-01-27)
20 * properly match exact vulnerability matches
21
22 Version 3.1.2 (2010-01-08)
23 * fetch-vlist: set PATH to ensure helper tools are found
24
25 Version 3.1.1 (2009-11-01)
26 * actually do fetch the rh vlists
27
28 Version 3.1.0 (2009-11-01)
29 * add support for fetching and using vlists for RHEL4 and RHEL5
30 * switch to using the yvlist and the correct platform-specific
31 vlist by default
32
33 Version 3.0.0 (2009-05-03)
34 * avoid errors when removing the vlists that haven't been changed
35 * switch to using the FreeBSD specific vlist by default and disable
36 the NetBSD vlist (though it continues to be fetched)
37
38 Version 2.0.5 (2009-02-13)
39 * use python2.5 as the shebang, as we're explicitly requiring
40 ypython25
41
42 Version 2.0.4 (2009-02-13)
43 * ensure a single vlist given on the command-line overrides the defaults
44 from the config file
45
46 Version 2.0.3 (2008-12-09)
47 * use ypython25 instead of ypython-2.5
48 * set timeout when fetching vlists, try only once
49 * add vlists to manifest
50 * don't fail installation if we can't fetch all vlists
51
52 Version 2.0.2 (2008-08-14)
53 * use bugzilla for bug tracking
54
55 Version 2.0.1 (2008-07-31)
56 * properly match versions specified as foo>=X<=Y
57 (previously, only foo>=X<Y would work)
58 * better error reporting on unexpected comparison operator
59
60 Version 2.0 (2008-07-19)
61 * fix usage for fetch-vlist
62 * add support for multiple vlists
63 * changed config file paramenter from VLIST to VLISTS
64
65 Version 1.0 (2008-07-10)
66 * don't try to generate the list of packages to check -- accept it
67 from the user as command-line arguments or from stdin (or both)
68 * also install additional documentation (BUGS, TODO)
69
70 Version 0.1 (2008-07-03)
71 * Initial version
Something went wrong with that request. Please try again.